Bug 1492569 - Red Hat Insights widget on dashboard shows undefined method `query_error'
Summary: Red Hat Insights widget on dashboard shows undefined method `query_error'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-18 07:56 UTC by Nikhil Kathole
Modified: 2019-09-26 15:38 UTC (History)
4 users (show)

Fixed In Version: rubygem-foreman-redhat_access-2.0.9-1, rubygem-redhat_access_lib-1.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 13:35:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (12.99 KB, image/png)
2017-09-18 07:56 UTC, Nikhil Kathole
no flags Details
screenshot of UI showing error (9.95 KB, image/png)
2017-10-09 09:37 UTC, Nikhil Kathole
no flags Details

Description Nikhil Kathole 2017-09-18 07:56:25 UTC
Created attachment 1327238 [details]
screenshot of UI

Description of problem:Red Hat Insights widget on dashboard shows error "undefined method `query_error' for "Unable to get rule summary.":String".

Version-Release number of selected component (if applicable): satellite 6.3 snap 16


How reproducible:always


Steps to Reproduce:
1. Import a manifest under Content -> Red Hat subscriptions
2. Navigate to Monitor -> Dashboard

Actual results:
Red Hat Insights widget shows error "undefined method `query_error' for "Unable to get rule summary.":String" and production.log shows 500 internal server error.

Expected results:
Error should get handled.

Additional info:

Comment 5 Lindani Phiri 2017-09-26 02:55:02 UTC
Resolved as side effect of an existing PR.

Comment 7 Nikhil Kathole 2017-10-09 09:30:00 UTC
Version Tested:
Satellite-6.3 Snap 19

# rpm -qa | grep foreman-redhat_access
tfm-rubygem-foreman-redhat_access-2.0.8-1.el7sat.noarch

After uploading  manifest in comment #3, Red Hat Insights widget shows "There was an error retrieving Insights data" and production.log shows

RedhatAccess::Telemetry::PortalClient: Caught HTTP error when proxying call to tapi: 400 Bad Request

Is this expected behaviour?

Comment 9 Nikhil Kathole 2017-10-09 09:37:02 UTC
Created attachment 1336265 [details]
screenshot of UI showing error

Comment 12 Nikhil Kathole 2017-10-10 14:19:03 UTC
Failed QA

Thanks Lindani, moving it to assigned.

Comment 13 Nikhil Kathole 2017-10-24 07:48:19 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 21

# rpm -qa | grep foreman-redhat_access
tfm-rubygem-foreman-redhat_access-2.0.10-1.el7sat.noarch

After uploading  manifest in comment #3, no error found on dashboard Red Hat Insights widget.


Note You need to log in before you can comment on or make changes to this bug.